Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 558794 - dev-libs/boost-1.60.0: version bump
Summary: dev-libs/boost-1.60.0: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal with 3 votes (vote)
Assignee: C++ Team [disbanded]
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-26 08:05 UTC by Yi Yang
Modified: 2016-03-10 11:36 UTC (History)
12 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
initial ebuild based on 1.58 (boost-1.59.0.ebuild,11.36 KB, text/plain)
2015-09-30 13:25 UTC, Alex Turbov
Details
libreoffice-5.0.3.2-boost_1_59_0-1.patch (libreoffice-5.0.3.2-boost_1_59_0-1.patch,9.74 KB, patch)
2015-11-17 20:57 UTC, Brian Evans
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yi Yang 2015-08-26 08:05:55 UTC
http://www.boost.org/users/history/version_1_59_0.html

Reproducible: Always
Comment 1 Lars Wendler (Polynomial-C) (RETIRED) gentoo-dev 2015-08-26 11:38:54 UTC
This bump will again break some reverse dependencies.

The following packages failed for me:

  app-text/libetonyek
  app-text/libwps
  app-office/libreoffice

but I'm sure there are plenty more packages affected.
Comment 2 Alex Turbov 2015-09-30 13:25:45 UTC
Created attachment 413364 [details]
initial ebuild based on 1.58

works for me...
Comment 3 octoploid 2015-10-01 12:33:21 UTC
I installed boost-1.59 on my system.
All build failures were due to missing -lboost_system during linking.
(Undefined reference to: boost::system::generic_category() (_ZN5boost6system16generic_categoryEv))
It happened three times during app-office/libreoffice build.

I forgot the names of the other packages, that were affected.
Comment 4 octoploid 2015-10-01 12:35:12 UTC
x4 ~ # for f in  /usr/lib/libboo*.so(D-.) ; do echo $f && nm $f |  grep "_ZN5boost6system16generic_categoryEv" ; done 
/usr/lib/libboost_atomic-mt.so
/usr/lib/libboost_atomic.so
/usr/lib/libboost_chrono-mt.so
/usr/lib/libboost_chrono.so
/usr/lib/libboost_container-mt.so
/usr/lib/libboost_container.so
/usr/lib/libboost_context-mt.so
/usr/lib/libboost_context.so
/usr/lib/libboost_date_time-mt.so
/usr/lib/libboost_date_time.so
/usr/lib/libboost_filesystem-mt.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_filesystem.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_graph-mt.so
/usr/lib/libboost_graph.so
/usr/lib/libboost_iostreams-mt.so
/usr/lib/libboost_iostreams.so
/usr/lib/libboost_locale-mt.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_locale.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_log-mt.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_log_setup-mt.so
/usr/lib/libboost_log_setup.so
/usr/lib/libboost_log.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_math_c99f-mt.so
/usr/lib/libboost_math_c99f.so
/usr/lib/libboost_math_c99l-mt.so
/usr/lib/libboost_math_c99l.so
/usr/lib/libboost_math_c99-mt.so
/usr/lib/libboost_math_c99.so
/usr/lib/libboost_math_tr1f-mt.so
/usr/lib/libboost_math_tr1f.so
/usr/lib/libboost_math_tr1l-mt.so
/usr/lib/libboost_math_tr1l.so
/usr/lib/libboost_math_tr1-mt.so
/usr/lib/libboost_math_tr1.so
/usr/lib/libboost_prg_exec_monitor-mt.so
/usr/lib/libboost_prg_exec_monitor.so
/usr/lib/libboost_program_options-mt.so
/usr/lib/libboost_program_options.so
/usr/lib/libboost_python-2.7-mt.so
/usr/lib/libboost_python-2.7.so
/usr/lib/libboost_python-3.4-mt.so
/usr/lib/libboost_python-3.4.so
/usr/lib/libboost_random-mt.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_random.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_regex-mt.so
/usr/lib/libboost_regex.so
/usr/lib/libboost_serialization-mt.so
/usr/lib/libboost_serialization.so
/usr/lib/libboost_signals-mt.so
/usr/lib/libboost_signals.so
/usr/lib/libboost_system-mt.so
00000000000014c0 T _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_system.so
00000000000014c0 T _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_thread-mt.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_thread.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_timer-mt.so
/usr/lib/libboost_timer.so
/usr/lib/libboost_unit_test_framework-mt.so
/usr/lib/libboost_unit_test_framework.so
/usr/lib/libboost_wave-mt.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_wave.so
                 U _ZN5boost6system16generic_categoryEv
/usr/lib/libboost_wserialization-mt.so
/usr/lib/libboost_wserialization.so
Comment 5 Alex Turbov 2015-10-04 21:23:32 UTC
media-sound/ncmpcpp, dev-util/schroot, app-office/akonadi-server, media-libs/qt-gstreamer, sys-apps/paludis, kde-base/kdepimlibs, kde-base/kdepim-runtime, kde-base/plasma-workspace, media-sound/mpd, net-libs/libktorrent and net-p2p/ktorrent was rebuild and still w/o any problem for me...

kde-base/kleopatra affected by (qt and BOOST_JOIN bug)[http://zaufi.github.io/gentoo/2015/03/03/gpotw-13/] but w/ the patch compiled Ok as well...
Comment 6 Perfect Gentleman 2015-11-01 10:49:05 UTC
to build libwps it's needed to patch librevenge with http://pkgs.fedoraproject.org/cgit/librevenge.git/plain/0001-rhbz-1248443-unbounded-heap-allocation.patch

to build libreoffice use patch from LFS
Comment 7 Brian Evans Gentoo Infrastructure gentoo-dev 2015-11-08 03:32:05 UTC
Waiting on this to add MySQL 5.7 to the tree
Comment 8 octoploid 2015-11-08 12:10:22 UTC
LFS patch is here:
http://www.linuxfromscratch.org/patches/blfs/svn/libreoffice-5.0.2.2-boost_1_59_0-1.patch

Basically adding "-DBOOST_ERROR_CODE_HEADER_ONLY -DBOOST_SYSTEM_NO_DEPRECATED"
to the affected libs will fix the undefined reference errors when linking.
Comment 9 Brian Evans Gentoo Infrastructure gentoo-dev 2015-11-17 20:57:52 UTC
Created attachment 417250 [details, diff]
libreoffice-5.0.3.2-boost_1_59_0-1.patch

(In reply to octoploid from comment #8)
> LFS patch is here:
> http://www.linuxfromscratch.org/patches/blfs/svn/libreoffice-5.0.2.2-
> boost_1_59_0-1.patch
> 
> Basically adding "-DBOOST_ERROR_CODE_HEADER_ONLY
> -DBOOST_SYSTEM_NO_DEPRECATED"
> to the affected libs will fix the undefined reference errors when linking.

Original patch is link changed.  Attaching current patch here instead.
Comment 10 Yi Yang 2015-11-26 06:52:21 UTC
Hi,

Is there any update on this bug?

Thanks!
Comment 11 octoploid 2015-12-18 14:47:05 UTC
Boost 1.60.0 is out.

Installation and the necessary rebuilds (including LibreOffice)
built fine by using:

 CXXFLAGS="-DBOOST_ERROR_CODE_HEADER_ONLY -DBOOST_SYSTEM_NO_DEPRECATED"

in /etc/make.conf.
Comment 12 Yi Yang 2015-12-28 07:49:42 UTC
dev-libs/boost-1.59.0 ebuild isn't available yet. Should we have a separate bug to track it, or do we just use this one to track both?
Comment 13 theodor 2015-12-28 09:52:11 UTC
(In reply to Yi Yang from comment #12)
> dev-libs/boost-1.59.0 ebuild isn't available yet. Should we have a separate
> bug to track it, or do we just use this one to track both?

Please let us skip 1.59 and add boost-1.60.0.ebuild really soon to the tree.
Comment 14 Jason Schulz 2016-01-10 01:12:56 UTC
Boost 1.59 has been out for over four months... 1.60 for a few weeks.  Is there something that needs to be done on this?
Comment 15 Yi Yang 2016-01-18 09:15:16 UTC
(In reply to Jason Schulz from comment #14)
> Boost 1.59 has been out for over four months... 1.60 for a few weeks.  Is
> there something that needs to be done on this?

From their previous discussion and their response to my question, it seems that 1.59 breaks things and there's no official solution for it. Or in other words, the official name of the patchset for Boost-1.59 is called Boost-1.60.

Since Gentoo is a source-based distro, extra care must be taken when it comes to the basic toolchain and libraries. I appreciate the developers' carefulness here. The alternative is to grab multiple patches from various sources, which could be too adventurous for the users.

That said, I would still like to see a masked version in portage, so I can try it out when I feel bold enough. Or when I feel clever enough that I know I'm compiling something that's not using the buggy parts of boost-1.59. But I guess this is what overlays are for.
Comment 16 Sergey Popov gentoo-dev 2016-01-20 10:09:20 UTC
1.59 is added few minutes ago(commits 2c37096f02bc06780a1955fb6d9814bdef133197 and b5e147427f3640f0dad85e68f0bee4dba1d3ae51)

1.60 is still pending
Comment 17 Andrei Ivanov 2016-02-06 16:19:50 UTC
Any news?
Comment 18 Sergey Popov gentoo-dev 2016-03-10 11:36:22 UTC
commit 874e67d825c3a2959651766e97499bb3edeb8b85
Author: Lars Wendler <polynomial-c@gentoo.org>
Date:   Wed Mar 9 11:06:49 2016 +0100

    dev-libs/boost: Bump to version 1.60.0

    Package-Manager: portage-2.2.27
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>